<!--<p>network-visualization-root works!</p>-->
<div class="container-fluid">
  <div class="row">
    
    <div class="col-md-4 pt-4" *ngIf="activeToolName != 'shortagePath'">
        <vis-search-bar
          [searchText]="searchText"
          [suggestions]="suggestions"
          [activeToolName]="activeToolName"
          (searchTextChangedEvent)="onSearchTextChanged($event)"
          (searchEvent)="onSearch()"
          (suggestionClickEvent)="onSuggestionClick($event)"
        ></vis-search-bar>
    </div>
    
    <div class="col-md-4 pt-4" *ngIf="activeToolName == 'shortagePath'">
      <div class="row">
        <div class="col-md-6">
          <vis-search-bar
            [searchText]="shortagePathFromNode"
            [suggestions]="suggestions"
            searchPlaceholder="Search From"
            [activeToolName]="activeToolName"
            (searchTextChangedEvent)="onSearchTextChanged($event)"
            (searchEvent)="onSearch()"
            (suggestionClickSrtPathFromEvent)="onSuggestionClickSrtPathFrom($event)"
          ></vis-search-bar>
        </div>
        <div class="col-md-6">
          <vis-search-bar
            [searchText]="shortagePathToNode"
            [suggestions]="suggestionsPaths"
            searchPlaceholder="Search To"
            [activeToolName]="activeToolName"
            (searchTextChangedEvent)="onSearchTextChangedPaths($event)"
            (searchEvent)="onSearch()"
            (suggestionClickSrtPathToEvent)="onSuggestionClickSrtPathTo($event)"
          ></vis-search-bar>
        </div>
      </div>
    </div>
   
    <div class="col-md-8 pt-4">
      <vis-network-data-table></vis-network-data-table>
    </div>
    
  </div>
  <div class="row no-gutters" #canvasContainer>
    <div  class="col-md-1 ">
      <vis-toolbar
        [panEnabled]="panEnabled"
        [brushEnabled]="brushEnabled"
        [textBoxMode] = "textBoxMode"
        [activeToolName]="activeToolName"
        (searchEvent)="searchEnable()"
        (zoomInEvent)="handleZoomInEvent()"
        (zoomOutEvent)="handleZoomOutEvent()"
        (toolTipEvent)="enableToolTip()"
        (panGraphEvent)="panGraph()"
        (selectNodeEvent)="selectNode()"
        (refreshGraphEvent)="refreshGraph()"
        (toggleCallbackModeEvent)="toggleCallbackMode($event)"
        (snapModeEvent)="snapMode()"
        (orthogonalEvent)="orthogonalMode()"
        (shortagePathEvent)="shortagePathEnabled()"
        (arrowAnimationEvent)="handleArrowAnimationEvent()"
        (dynamicEvent)="handleDynamicEvent()"
        (toggleTextBoxModeEvent)="toggleTextBoxMode()"
      >
      //(arrowAnimationEvent)="arrowAnimation()"
        //(enableFBSEvent)="enableFBS()"
        /////(uploadFileEvent)="uploadFile()"
      </vis-toolbar>
    </div>
    <div class="col-md-9 ">
      <vis-network-canvas></vis-network-canvas>
    </div>
    <div class="col-md-2">
      <vis-hirarchy></vis-hirarchy>
    </div>
  </div>
</div>